//Author: Charley Ruggiero

package com.example.test;
import com.example.model.*;
import junit.framework.*; 

public class AllTests extends TestCase {

    public static Test suite() {
	TestSuite suite = new TestSuite();
	suite.addTest(new ScheduleTest("testSchedule"));
	suite.addTest(new ScheduleTest("testSchedule1"));
	suite.addTest(new ScheduleTest("testFreeTimesNotSetException"));
	suite.addTest(new ScheduleTest("testFreeTimesAlreadySetException"));
	suite.addTest(new ScheduleTest("testSetMinFreeTimeSpan"));
	suite.addTest(new TimeIntervalTest("testGetStart"));
	suite.addTest(new TimeIntervalTest("testGetEnd"));
	suite.addTest(new TimeIntervalTest("testGetStartTimeString"));
	suite.addTest(new TimeIntervalTest("testGetEndTimeString"));
	suite.addTest(new TimeIntervalTest("testIsBefore"));
	suite.addTest(new TimeIntervalTest("testIsAfter"));
	suite.addTest(new TimeIntervalTest("testIsDuring"));
	suite.addTest(new TimeIntervalTest("testIsStartOut"));
	suite.addTest(new TimeIntervalTest("testIsEndOut"));
	suite.addTest(new TimeIntervalTest("testDifference"));
	return suite;
    }
}

